<template>
	<v-app>
		<div justify="center" dense>
			<v-app-bar  dark color="primary" class="d-none d-sm-block">
				<v-toolbar-title >
					<div class="d-flex align-center" >
                        <a href="#/entornos">
                          <v-img
                        
						class="shrink mr-2 ml-2"
						contain
						src="./assets/logo.png"
						transition="scale-transition"
						width="108px"
						/>  
                        </a>
						
					</div>
				</v-toolbar-title>
				<v-spacer></v-spacer>
				<v-toolbar-items>
					<v-btn text
						v-for="item in nav"
						:key="item.icon"
						:to="item.link"
						:title="item.title" class="text-none font-weight-light"
					>{{ item.text }}</v-btn>
				</v-toolbar-items>
			</v-app-bar>

			<v-app-bar class="d-xs-block d-sm-none" color="primary" dark>
				<v-toolbar-title>
					<div class="d-flex align-center">
                        <a href="#/entornos">
                            <v-img
                            class="shrink mr-2 ml-2"
                            contain
                            src="./assets/logo.png"
                            transition="scale-transition"
                            width="108px"
                            />
                        </a>
						
					</div>
				</v-toolbar-title>
				<v-spacer></v-spacer>
				<v-app-bar-nav-icon @click="drawer = true"></v-app-bar-nav-icon>
			</v-app-bar>

		
			<v-navigation-drawer
      v-model="drawer"
      absolute
      temporary
			right
    >
		
      <v-list>

        <v-list-item>
          <v-list-item-content>
            <v-list-item-title class="title">
              Menú
            </v-list-item-title>
          </v-list-item-content>

          <v-list-item-action>
            <v-icon @click="drawer=false">close</v-icon>
          </v-list-item-action>
        </v-list-item>
      </v-list>
      <v-divider></v-divider>

      <v-list
        nav
        dense
      >
        <v-list-item-group
          v-model="selectedItem"
          color="primary"
        >
          <v-list-item
            v-for="(item, index) in nav"
            :key="index"
            :to="item.link"
          >
            <v-list-item-icon>
              <v-icon v-text="item.icon"></v-icon>
            </v-list-item-icon>

            <v-list-item-content>
              <v-list-item-title v-text="item.text"></v-list-item-title>
            </v-list-item-content>
          </v-list-item>
        </v-list-item-group>
      </v-list>
    </v-navigation-drawer>





		</div>
        <v-row>
            <router-view />
        </v-row>
	</v-app>
</template>

<script>
// import logo from './assets/logo'
export default {
  name: 'App',

  components: {
  },

  data () {
    return {
			drawer:false,
			dialog: false,
			selectedItem: 0,
      nav: [
        {
          icon: 'list_alt',
          text: 'Entornos',
          link: '/entornos'
          
        },
        {
          icon: 'web',
          text: 'Plantillas',
          link: '/plantillas'
        },
      ]
    }
  }
};
</script>

<style lang="scss" scoped>
::v-deep .theme--dark.v-btn--active::before{
    opacity:0;
}

</style>

